Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.install.sword
Class HttpSwordInstallerFactory

    java.lang.Object
      org.crosswire.jsword.book.install.sword.HttpSwordInstallerFactory

All Implemented Interfaces:
  InstallerFactory

    public class HttpSwordInstallerFactory

extends Object
implements InstallerFactory

A Factory for instances of HttpSwordInstaller.

Author:
  Mark Goodwin [goodwinster at gmail dot com], Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private Pattern` | `commaPattern`
`private static String` | `LIST_DIR` The relative path of the dir holding the index file
`protected static String` | `PACKAGE_DIR` The relative path of the dir holding the zip files

Constructor Summary
`HttpSwordInstallerFactory()`

Method Summary
`Installer` | `createInstaller()` Create a new Installer with default values for editing via bean properties.
`Installer` | `createInstaller(String installerDefinition)` Create a new Installer with values from the given url to use for initial values.
`private Installer` | `createInstaller(String[] parts)`
`private Installer` | `createOldInstaller(String[] parts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE_DIR

    protected static final String PACKAGE_DIR

  The relative path of the dir holding the zip files

  See Also:
    Constant Field Values

### LIST_DIR

    private static final String LIST_DIR

  The relative path of the dir holding the index file

  See Also:
    Constant Field Values

### commaPattern

    private Pattern commaPattern

Constructor Detail

### HttpSwordInstallerFactory

    public HttpSwordInstallerFactory()

Method Detail

### createInstaller

    public Installer createInstaller()

  Description copied from interface: `InstallerFactory`
  Create a new Installer with default values for editing via bean properties.

  Specified by:
    `createInstaller` in interface `InstallerFactory`
  Returns:
    A new Installer implemented to fit with this Factory

### createInstaller

    public Installer createInstaller(String installerDefinition)

  Description copied from interface: `InstallerFactory`
  Create a new Installer with values from the given url to use for initial values.

  Specified by:
    `createInstaller` in interface `InstallerFactory`
  Parameters:
    `installerDefinition` - The configuration string
  Returns:
    A new Installer implemented to fit with this Factory

### createInstaller

    private Installer createInstaller(String[] parts)

### createOldInstaller

    private Installer createOldInstaller(String[] parts)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD